/* BASIC SETTINGS */
* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    list-style: none;
}

/* Basic Font Rules */
@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap');

:root {
    --fontBody: 18px 'Montserrat', sans-serif;
    --fontSubText: 14px 'Montserrat', sans-serif;
    --fontMainBbutton: bold 15px 'Montserrat', sans-serif;
    --fontNavigation: 600 10px 'Montserrat', sans-serif;
}

h1 {
    font: bold 55px 'Bebas Neue', cursive;
}

h2 {
    font: bold 25px 'Bebas Neue', cursive;
}

h3 {
    font: bold 22px 'Bebas Neue', cursive;
}

/* MAIN SCREEN */
.main-screen {
    background-image: url("/assets/landing-page-assets/img/main-bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position-y: -100px;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100vh;
    width: 100%;
}

/* HAMBURGER-MENU */
.hamburger-menu {
    grid-column: 3/4;
    grid-row: 1/3;
    align-self: center;
    justify-self: center;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    height: 1em;
}

.hamburger-menu span {
    border-radius: 15px;
    display: inline-block;
    width: 1.7em;
    height: .2em;
    background-color: #F3AF34;
}

header {
    width: 100%;
    margin: 0 auto;
    height: 50px;
    background-color: rgba(0, 0, 0, 0.5);
    display: grid;
    grid-template-columns: 1fr 1.5fr 1fr;
}

.logo {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    letter-spacing: 0.1em;
    font: 700 20px 'Montserrat', sans-serif;
}

ul.navlink,
ul.register {
    display: flex;
    align-items: center;
    justify-content: space-around;
    font: var(--fontNavigation);
    color: #FFFFFF;
    letter-spacing: 0.2em;
}

ul.navlink a{
    color: #FFFFFF;
    transition: all 0.5s;
}

ul.navlink li{
    transition: all .3s;
}

ul.navlink li:hover{
    transform: scale(1.2)
}

ul.register {
    justify-self: center;
    width: 50%;
}

.CTA {
    grid-area: cta;
    display: flex;
    flex-direction: column;
    align-items: center;
    align-self: center;
    width: 100%;
    height: 250px;
    justify-content: space-between;
    box-sizing: border-box;
}

.CTA h1 {
    color: #FFFFFF;
    letter-spacing: 3px;
    text-align: center;
}

.CTA h3 {
    letter-spacing: 2px;
    color: #FFFFFF;
    text-align: center;
}

.CTA button {
    width: 230px;
    height: 50px;
    border-style: none;
    background: linear-gradient(194.68deg, #FFB548 11.27%, #F3AF34 90.4%);
    border-radius: 10px;
    color: #1A1917;
    font: var(--fontMainBbutton);
}

.scroll {
    grid-area: scroll;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex-direction: column;
    box-sizing: border-box;
    padding-bottom: 13px;
}

.scroll p {
    font: bold 10px 'Open Sans', sans-serif;
    color: #FFFFFF;
    margin-bottom: 3px;
}

/* ABOUT */
.about {
    background-image: url("/assets/landing-page-assets/img/the-games-bg.jpg");
    background-position-y: -2px;
    background-repeat: no-repeat;
    background-size: cover;
    color: #FFFFFF;
    overflow: hidden;
    padding-top: 200px;
    padding-bottom: 200px;
    box-sizing: border-box;
    width: 100%;
    position: relative;
}

.lead-text {
    display: flex;
    flex-direction: column;
    position: absolute;
    left: 6%;
}

/* IMAGE SLIDE STYLE */
.image-slider {
    display: grid;
    grid-template-areas: 'lf-arrow img rt-arrow';
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 15px;
    width: 60%;
    margin-left: 35%;
}

.image {
    background-image: url("/assets/landing-page-assets/img/rockpaperstrategy-1600.jpg");

}

.image-slider img {
    width: 600px;
    justify-self: center;
    grid-area: img;
}

.left-arrow {
    align-self: center;
    justify-self: end;
    grid-area: lf-arrow;
}

.right-arrow {
    align-self: center;
    grid-area: rt-arrow;
}

.slide-btn {
    grid-area: img;
    z-index: 1;
    align-self: end;
    justify-self: center;
    display: flex;
    width: 30%;
    margin: 10px auto;
    justify-content: space-between;
}

.slide-btn button:first-child {
    background-color: #FFFFFF;
    border-style: none;
}

.slide-btn button {
    width: 14px;
    height: 14px;
    border-radius: 50%;
    background-color: rgba(255, 255, 255, 0);
    border: 1.31px solid #FFFFFF;
}

/* FEATURES */
.features {
    background-image: url("/assets/landing-page-assets/img/features.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position-y: -95px;
    color: #FFFFFF;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.bracket {
    width: 40%;
    margin-top: 10%;
    margin-right: 4%;
    display: flex;
    flex-direction: column;
}

.ft-text {
    display: flex;
    flex-direction: column;
}

.sm-bracket {
    margin-top: 10%;
    display: flex;
}

.ft-bullet {
    display: flex;
    flex-direction: column;
}

.bullet-point {
    margin-top: 50px;
}

.ft-list {
    display: grid;
    grid-template-rows: repeat(auto-fill, minmax(20px, 1fr));
    margin-left: 6%;
}

.ft-list p {
    font: var(--fontBody);
    color: #FFB548;
}

.ft-list p:nth-child(2) {
    color: #FFFFFF;
    grid-row: 3/5;
}

.ft-list p:nth-child(3) {
    grid-row: 8/9;
}

.ft-list p:last-child {
    grid-row: 11/12;
}

/* SYSTEM REQUIREMENT */
.sr {
    background-image: url("/assets/landing-page-assets/img/requirements.png");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    color: #FFFFFF;
    width: 100%;
    position: relative;
}

.sr-bg-color {
    height: 100%;
    background: radial-gradient(33.26% 45% at 64.32% 47.1%, rgba(255, 255, 255, 0) 3.36%, rgba(0, 0, 0, 0) 19.22%, #080A0B 99.74%);
}

.sr-bracket {
    width: 100%;
    padding-top: 10%;
    padding-bottom: 5%;
    box-sizing: border-box;
}

.sr-text {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: 70%;
    margin-left: 10%;
}

.sr-text h1 {
    width: 50%;
    grid-column: 1/3;
    grid-row: 1;
    z-index: 0;
}

.sr-text h3 {
    margin-left: 45%;
    z-index: 1;
    grid-column: 1/3;
    grid-row: 1;
}

.sr-table {
    margin-top: 7%;
    margin-left: 10%;
    margin-bottom: 10%;
    display: grid;
    width: 40%;
    grid-template-columns: repeat(auto-fill, minmax(1fr, 1fr));
}

.sr-main-text {
    font: var(--fontBody);
    color: #F3AF34;
}

.sr-table,
.os,
.proc,
.mem,
.stor,
.graph {
    border: 1px solid #9797973b;
}

/* OS */
.sr-table .os {
    padding: 10px;
    box-sizing: border-box;
    grid-column: 1/4;
}

/* PROCESSOR */
.sr-table .proc {
    padding: 10px;
    box-sizing: border-box;
    grid-column: 4/8;
}

/* MEMORY */
.sr-table .mem {
    padding: 10px;
    box-sizing: border-box;
    grid-column: 1/4;
}

/* STORAGE */
.sr-table .stor {
    padding: 10px;
    box-sizing: border-box;
    grid-column: 4/8;
}

/* GRAPHICS */
.sr-table .graph {
    padding: 10px;
    box-sizing: border-box;
    grid-column: 1/8;
}

/* QUOTES */
.q {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    box-sizing: border-box;
    padding-bottom: 8%;
    background-image: url('/assets/landing-page-assets/img/bg-quote.png');
    background-position: center;
    color: #FFFFFF;
}

.q-cta {
    width: 30%;
    height: 35vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.q-cta p {
    font: var(--fontBody);
}

.q-cta button {
    width: 60%;
    border-radius: 4px;
    border-style: none;
    height: 40px;
    color: #1A1917;
    background: linear-gradient(194.68deg, #FFB548 11.27%, #F3AF34 90.4%);
    font: var(--fontMainBbutton);
}

/* Q-CARDS */
.q-card {
    display: grid;
    grid-gap: 20px;
    width: 50%;
}

.q-card-grid {
    background: rgba(255, 255, 255, 0.08);
    border-radius: 10px;
    display: grid;
    width: 70%;
    grid-template-columns: repeat(auto-fill, minmax(1fr, 1fr));
    grid-template-rows: repeat(auto-fill, minmax(1fr, 1fr));
    box-sizing: border-box;
    padding: 20px;
    grid-gap: 10px;
}

.first {
    justify-self: end;
}

.second {
    justify-self: start;
}

.third {
    justify-self: center;
}

.id {
    grid-column: 1/3;
    grid-row: 1/2;
    justify-self: center;
    margin-left: -20%;
}

.id-third {
    grid-column: 1/3;
    grid-row: 1/2;
    margin-left: 27%;
}

.id p:first-child,
.id-third p:first-child {
    font: var(--fontBody);
    color: #FFB548;
}

.id p:last-child,
.id-third p:last-child {
    margin font: var(--fontSubText);
    font-size: .9em;
    color: rgba(255, 255, 255, 0.5);
}

.q-date {
    color: rgba(255, 255, 255, 0.5);
    grid-column: 1/2;
    font-size: 0.7em;
}

.q-circle {
    width: 61.92px;
    height: 61.92px;
    background-size: cover;
    border-radius: 50%;
    grid-column: 1/2;
    grid-row: 1/2;
    z-index: 1;
}

.q-shadow {
    margin-top: 1%;
    margin-left: 3%;
    grid-column: 1/2;
    grid-row: 1/2;
    width: 64.31px;
    height: 64.31px;
    background-image: url('/assets/landing-page-assets/img/Ellipse.png');
}

.first-circle {
    background-image: url('/assets/landing-page-assets/img/image\ 1.png');
}

.second-circle {
    background-image: url('/assets/landing-page-assets/img/image\ 2.jpg')
}

.third-circle {
    background-image: url('/assets/landing-page-assets/img/image\ 3.jpg')
}

.q-circle+p {
    grid-column: 2/3;
    grid-row: 1/2;
}

.twitter {
    justify-self: end;
    grid-column: 3/4;
    grid-row: 1/2;
}

/* NEWSLETTER */
.news {
    background-color: #080A0B;
    color: #FFFFFF;
    display: flex;
    justify-content: center;
}

.news-bracket {
    width: 90%;
    display: grid;
    grid-template-areas:
        'img cta'
        'footer footer'
        'tm tm';
    grid-template-columns: repeat(2, 1fr);
}

.news-img {
    height: 600px;
    width: 60%;
    background-image: url('/assets/landing-page-assets/img/skull.png');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    grid-area: img;
    justify-self: center;
}

.overlay {
    height: 100%;
    background: radial-gradient(45.43% 53.19% at 50% 50%, rgba(255, 255, 255, 0) 0%, rgba(0, 0, 0, 0) 46.15%, #080A0B 99.74%);
}

.news-subs {
    width: 100%;
    grid-area: cta;
}

.news-main-text h3 {
    margin-top: 5%;
}

.news-subs p {
    font: var(--fontBody);
    margin-top: 5%;
}

.news-cta {
    margin-top: 5%;
    height: 10%;
    display: flex;
}

.news-cta button {
    flex-grow: 1.5;
    background-color: #FFB548;
    border-style: none;
    border-radius: 4px;
    margin-left: 3%;
    font: var(--fontMainBbutton);
}

.news-email {
    flex-grow: 1.5;
    background: rgba(255, 255, 255, 0.08);
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 4%;
    border-radius: 5px;
}

.news-email p:first-child {
    margin-top: 0;
    color: #979797;
    font-size: .9em;
}

.news-email p:last-child {
    margin-top: 2%;
    color: #FFB548;
    font-size: 1em;
}

.news-footer {
    grid-area: footer;
    display: flex;
    justify-content: flex-end;
    border-bottom: 1px solid #979797;
    padding-bottom: 3%;
    box-sizing: border-box;
}

.news-footer-nav {
    width: 45%;
    display: flex;
    justify-content: space-around;
    font: var(--fontNavigation);
    align-items: center;
    margin-right: 4%;
}

.news-footer-icon {
    width: 20%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.news-tm {
    width: 100%;
    grid-area: tm;
    display: flex;
    justify-content: space-between;
    padding-bottom: 1.5%;
    box-sizing: border-box;
    margin: 2% auto;
}

.news-tm p {
    font: var(--fontNavigation);
}

.news-tm p:first-child {
    color: #979797;
}

.news-tm p:last-child {
    letter-spacing: 0.1em;
}

/* MEDIA QUERY */
/* TABLET */
@media (max-width: 991px) {
    .main-screen {
        height: 98vh;
        background-position: center;
    }

    .CTA h1 {
        font-size: 2em;
    }

    .CTA h3 {
        font-size: 1.3em;
    }

    .about {
        padding-top: 0px;
        padding-bottom: 0px;
    }

    .lead-text {
        position: static;
        align-items: center;
        margin-top: 50px;
    }

    .lead-text h1 {
        margin-top: 15px;
    }

    .image-slider {
        width: 100%;
        margin: 100px auto;
        grid-column-gap: 10px;
    }

    .image-slider img {
        width: 400px;
    }

    .slide-btn {
        width: 50%;
    }

    .features {
        background-position-y: -1px;
        height: 100vh;
    }

    .q-cta {
        height: 50vh;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .id {
        margin-left: -3%;
    }

    .id-third {
        margin-left: 30%;
    }
}

/* MOBILE */
@media (max-width: 767px) {
    .main-screen {
        height: 98vh;
        background-position-y: 10px;
        background-position: center;
    }

    .CTA h1 {
        font-size: 1.7em;
    }

    .CTA h3 {
        margin-top: -15px;
        font-size: 1.1em;
    }

    .CTA button {
        width: 150px;
        height: 50px;
        font-size: .8em;
    }

    .hamburger-menu {
        display: flex;
    }

    .logo {
        grid-row: 1/3;
    }

    ul.navlink,
    ul.register {
        display: none;
    }

    .about {
        height: 80vh;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        padding-top: 0px;
        padding-bottom: 0px;
    }

    .lead-text {
        position: static;
        align-items: center;
        margin-top: 50px;
    }

    .lead-text h3 {
        font-size: 1.1em;
    }

    .lead-text h1 {
        margin-top: 15px;
        font-size: 2.5em;
    }

    .image-slider {
        margin: 100px auto;
        grid-column-gap: 1px;
    }

    .image-slider img {
        width: 350px;
    }

    .left-arrow {
        width: 15px;
        height: 20px;
    }

    .right-arrow {
        width: 15px;
        height: 20px;
    }

    .slide-btn {
        width: 50%;
    }

    .slide-btn button {
        width: 12px;
        height: 12px;
    }

    .features {
        margin-top: -3px;
        background-position: center;
        height: 100vh;
    }

    .bracket {
        width: 100%;
        margin-top: 10%;
        margin-right: 0;
        margin-left: 0;
        display: flex;
        flex-direction: column;
    }

    .ft-text {
        text-align: center;
    }

    .ft-text h1 {
        font-size: 2.5em;
    }

    .ft-text h3 {
        font-size: 1.1em;
    }

    .sm-bracket {
        justify-content: flex-end;
    }

    .progress-bar {
        height: 110px;
    }

    .bullet-point {
        width: 11.16px;
        height: 11.16px;
        margin-left: 2px;
    }

    .ft-list {
        width: 60%;
    }

    .ft-list p {
        font-size: 0.8em;
    }

    .ft-list p:nth-child(2) {
        color: #FFFFFF;
        width: 80%;
        grid-row: 2/5;
        align-self: center;
    }

    .ft-list p:nth-child(3) {
        margin-top: 10px;
        grid-row: 5/7;
        align-self: center;
    }

    .ft-list p:last-child {
        grid-row: 11/12;
        margin-bottom: 15px;
    }

    .sr-text {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(auto-fill, 1fr);
        width: 70%;
        margin: 0 auto;
    }

    .sr-text h1 {
        font-size: 2em;
        width: 70%;
        grid-row: 2/3;
    }

    .sr-text h3 {
        font-size: 0.8em;
        margin-left: 0;
        z-index: 1;
        grid-column: 1/3;
        grid-row: 1;
    }

    .sr-table {
        display: grid;
        width: 70%;
        margin: 10% auto;
        grid-template-columns: repeat(auto-fill, minmax(1fr, 1fr));
    }

    .q {
        flex-direction: column;
    }

    .q-cta {
        width: 70%;
        height: 30vh;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .q-cta h1 {
        font-size: 2.5em;
    }

    .q-cta p {
        font-size: .9em;
    }

    .q-cta button {
        width: 50%;
        height: 35px;
        font-size: .8em;
    }

    .q-card {
        margin-top: 10%;
        width: 80%;
        grid-gap: 20px;
    }

    .id {
        grid-column: 1/3;
        grid-row: 1/2;
        justify-self: center;
        margin-left: 30%;
    }

    .id-third {
        width: 35%;
        margin-left: 45%;
    }

    .id p:first-child,
    .id-third p:first-child {
        font-size: .8em;
    }

    .id p:last-child,
    .id-third p:last-child {
        font-size: .6em;
    }

    .q-date {
        grid-column: 1/2;
        font-size: 0.6em;
    }

    .q-card-grid p:nth-child(5) {
        font-size: .8em;
    }

    .news {
        padding-top: 20%;
        box-sizing: border-box;
    }

    .news-img {
        grid-column: 1/3;
        width: 40%;
        height: 400px;
        margin-left: -105%;
    }

    .news-subs {
        grid-column: 1/3;
    }

    .news-subs p {
        font-size: .9em;
    }

    .news-main-text h1 {
        font-size: 1.7em;
    }

    .news-main-text h3 {
        font-size: 1.3em;
    }

    .news-email p:first-child {
        font-size: .7em;
    }

    .news-email p:last-child {
        font-size: .9em;
    }

    .news-cta button {
        font-size: .8em;
    }

    .news-footer {
        justify-content: space-between;
        padding-bottom: 10%;
    }

    .news-footer-nav {
        display: grid;
        grid-gap: 10%;
        margin-left: 0;
        margin-right: 0;
        font-size: .6em;
        justify-content: space-between;
    }

    .news-footer-icon {
        display: grid;
        grid-gap: 10%;
        align-items: center;
        justify-content: flex-end;
    }

    .news-footer-icon img {
        justify-self: center;
    }

    .news-tm {
        justify-content: space-between;
        padding-bottom: 1%;
        box-sizing: border-box;
        margin: 5% auto;
        flex-wrap: wrap;
    }

    .news-tm p:first-child {
        font-size: .6em;
    }

    .news-tm p:last-child {
        font-size: .6em;
        margin-top: 2%;
    }
}